/*
 * Booster.Java
 *
 * Copyright (c) 1999, 2000, 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of the ANTS distribution.
 * 
 * Permission to use, copy, modify, distribute, and sell this
 * software and its documentation for any purpose is hereby granted
 * without fee, provided that (i) the above copyright notice(s)
 * appear in all copies and (ii) that both the copyright notice(s)
 * and this permission notice appear in supporting documentation,
 * and (iii) that the name(s) of the copyright holders not be used
 * in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.  The
 * copyright holders make no representations about the suitability
 * of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 * 
 * The maintainers of this code ask, but do not require, that
 * improvements and bug fixes be emailed to ants-dist@cs.utah.edu
 */
package ants.core;

import edu.utah.janos.nodeos.Address;
import edu.utah.janos.nodeos.Flow;
import edu.utah.janos.nodeos.FlowRun;

import edu.utah.janosvm.kit.comm.commspace.CommSpaceHandle;

/**
 * Common function for AppBooster and ProtocolBooster.
 *
 * @see AppBooster
 * @see ProtocolBooster
 * @author <a href="mailto:janos-discuss@flux.cs.utah.edu">Utah Janos Team</a>
 */
abstract class Booster
    extends FlowRun
{
    protected Node setupLocalNode(Flow flow, BoosterArgs ba)
    {
	Node localNode = new Node(flow,
				  ba.getUnknownMidPackets(),
				  /*
				   * Default principal for a new node is BOOTSTRAP_USER,
				   * It will be changed after the bootstrap process
				   * is completed and the Node knows who it represents
				   * (via Node.setPrincipal()).
				   */
				  ants.core.security.SecurityDefaults.BOOTSTRAP_USER);
	
	return localNode;
    }
}

