/* 
 * DanteConstants.java
 *
 * Copyright (c) 2000, 2001 The University of Washington
 * All rights reserved.
 * 
 * This file is part of the ANTS distribution.
 * 
 * Permission to use, copy, modify, distribute, and sell this
 * software and its documentation for any purpose is hereby granted
 * without fee, provided that (i) the above copyright notice(s)
 * appear in all copies and (ii) that both the copyright notice(s)
 * and this permission notice appear in supporting documentation,
 * and (iii) that the name(s) of the copyright holders not be used
 * in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.  The
 * copyright holders make no representations about the suitability
 * of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 * 
 * The maintainers of this code ask, but do not require, that
 * improvements and bug fixes be emailed to ants-dist@cs.utah.edu
 *         
 */
package ants.dante;

public interface DanteConstants {
    public static final int REFRESH = 0;
    public static final int JOIN = 1;
    public static final int RESPONSE = 2;
    public static final int LEAVE = 3;
    public static final int ERROR = 4;
    public static final int INIT = 5;
    public static final int UNDEFINED = 503;
    
    public static final int DANTE_SERVER_PORT = 14;
    public static final int DANTE_CLIENT_PORT = 15;
    public static final int DANTE_VERSION = 1;  
    
    public static final int MAX_FAILURES = 10;
    
    /** The timeout age for stale gateways (ms) */
    public static final long TIMEOUT = 30000;
    
    /** The frequency of keep-alive messages (ms) */
    public static final long KEEP_ALIVE_FREQUENCY = (long) (TIMEOUT / 10);
}

