/* 
 * MobileProtocol.Java
 *
 * Copyright (c) 1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of the ANTS distribution.
 * 
 * Permission to use, copy, modify, distribute, and sell this
 * software and its documentation for any purpose is hereby granted
 * without fee, provided that (i) the above copyright notice(s)
 * appear in all copies and (ii) that both the copyright notice(s)
 * and this permission notice appear in supporting documentation,
 * and (iii) that the name(s) of the copyright holders not be used
 * in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.  The
 * copyright holders make no representations about the suitability
 * of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 * 
 * The maintainers of this code ask, but do not require, that
 * improvements and bug fixes be emailed to ants-dist@cs.utah.edu
 *         
 *
 *  Copyright 1996 Massachusetts Institute of Technology
 * 
 *  Permission to use, copy, modify, distribute, and sell this software and
 *  its documentation for any purpose is hereby granted without fee, provided
 *  that the above copyright notice appear in all copies and that both that
 *  copyright notice and this permission notice appear in supporting
 *  documentation, and that the name of M.I.T. not be used in advertising or
 *  publicity pertaining to distribution of the software without specific,
 *  written prior permission.  M.I.T. makes no representations about the
 *  suitability of this software for any purpose.  It is provided "as is"
 *  without express or implied warranty.
 */
package apps.mobile;

import ants.core.*;


/**
 * Mobile protocol definition - The protocol involves two types of capsules,
 * one for carrying actual data, and one for updating forwarding information
 * on routers.
 *
 * @author David Wetherall
 */

public class MobileProtocol extends Protocol {
    
    public MobileProtocol() throws Exception
    {
	this.startProtocolDefn();
	
	/* Add our regular data capsule */
	this.startGroupDefn();
	this.addCapsule("apps.mobile" +
			".MobileCapsule");
	this.endGroupDefn();
	
	/* Add the updater capsule */
	this.startGroupDefn();
	this.addCapsule("apps.mobile" +
			".MobileUpdateCapsule");
	this.endGroupDefn();
	
	this.endProtocolDefn();
    }
}

